## MariaDB install script for Ubuntu 22.04 and 24.04 server.

### Prerequisites
Ubuntu 22.04 server or higher.

### Download the script
```
git clone https://git.x-files.dk/ubuntu-database-server/mariadb-install.git
```

### Usage
    cd mariadb-install
    sudo ./mariadbinstall [-p] <master password>

### Example
    sudo ./mariadbinstall -p mysecretpasswd

> **NOTE**
>
> The script adds the following to the MariaDB configuration
> 
>
> bind-address = 0.0.0.0\
> skip-name-resolve\
> log_error = /var/log/mysql/error.log
>
> Due to the fact that we enable skip-name-resolve please note that MariaDB:\
> will no longer treat 127.0.0.1 as localhost just a heads up when you debug. 

### Post install
Nothing to do.

### More guides
More guides can be found on [\[wiki.x-files.dk\]](https://wiki.x-files.dk)

### Last tested
October 10th 2024 on Ubuntu 24.04.
